/*****************************************************************************/
/* Betriebssysteme I, Uni-Magdeburg, SS 98, OO-Stubs                         */
/*---------------------------------------------------------------------------*/
/*                                                                           */
/*                                G U A R D                                  */
/*                                                                           */
/*---------------------------------------------------------------------------*/
/* Mit Hilfe dieser Klasse koennen Aktivitaeten, die einen kritischen        */
/* Abschnitt betreffen, der mit einem Guard-Objekt geschuetzt ist, mit       */
/* Unterbrechungsbehandlungsroutinen synchronisiert werden, die ebenfalls    */
/* auf den kritischen Abschnitt zugreifen.                                   */
/*****************************************************************************/

/* INCLUDES */

#include "infra/init_priorities.h"
#include "interrupt/guard.h"

Guard guard __attribute__ ((init_priority(INIT_PRIORITY_INTERRUPT)));
   
extern "C" void guard_enter() {
  guard.enter();
}

extern "C" void guard_leave() {
  guard.leave();
}
